Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.security.cert
Class CertificateNotYetValidException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--javax.security.cert.CertificateException
                        |
                        +--javax.security.cert.CertificateNotYetValidException

public class CertificateNotYetValidException
extends CertificateException

Certificate is not yet valid exception. This is thrown whenever the current Date or the specified Date is before the notBefore date/time in the Certificate validity period.

See Also:
  Serialized Form

Constructor Summary
`CertificateNotYetValidException()` Constructs a CertificateNotYetValidException with no detail message.
`CertificateNotYetValidException(String msg)` Constructs a CertificateNotYetValidException with the specified detail message.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CertificateNotYetValidException

    public CertificateNotYetValidException()

  Constructs a CertificateNotYetValidException with no detail message. A detail message is a String that describes this particular exception.

### CertificateNotYetValidException

    public CertificateNotYetValidException(String msg)

  Constructs a CertificateNotYetValidException with the specified detail message. A detail message is a String that describes this particular exception.
  Parameters:
    `msg` - the detail message.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD